# lyr_freetype.cpp File Reference

Implementation of the "Text" layer. More...

`#include "lyr_freetype.h"`

## Defines

#define | SYNFIG_LAYER
#define | MAX_GLYPHS 2000
#define | PANGO_STYLE_NORMAL (0)
#define | PANGO_STYLE_OBLIQUE (1)
#define | PANGO_STYLE_ITALIC (2)
#define | WEIGHT_NORMAL (400)
#define | WEIGHT_BOLD (700)
#define | CHAR_RESOLUTION (64)
#define | METRICS_SCALE_ONE ((float)(1<<16))

## Functions

| SYNFIG_LAYER_INIT (Layer_Freetype)
| SYNFIG_LAYER_SET_NAME (Layer_Freetype,"text")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_Freetype, N_("Text"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_Freetype, N_("Other"))
| SYNFIG_LAYER_SET_VERSION (Layer_Freetype,"0.2")
| SYNFIG_LAYER_SET_CVS_ID (Layer_Freetype,"$Id$")

## Detailed Description

Implementation of the "Text" layer.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define SYNFIG_LAYER

The SYNFIG_LAYER macro is useful for when you are compiling layers, and can help to improve build time.

#define MAX_GLYPHS 2000

#define PANGO_STYLE_NORMAL (0)

Referenced by Layer_Freetype::get_param_vocab(), and Layer_Freetype::Layer_Freetype().

#define PANGO_STYLE_OBLIQUE (1)

Referenced by Layer_Freetype::get_param_vocab().

#define PANGO_STYLE_ITALIC (2)

Referenced by Layer_Freetype::get_param_vocab().

#define WEIGHT_NORMAL (400)

Referenced by Layer_Freetype::Layer_Freetype().

#define WEIGHT_BOLD (700)

#define CHAR_RESOLUTION (64)

Referenced by Layer_Freetype::accelerated_render().

#define METRICS_SCALE_ONE ((float)(1<<16))

Referenced by Layer_Freetype::accelerated_render().

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_Freetype |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_Freetype | ,
|  | "text" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_Freetype | ,
|  | N_("Text") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_Freetype | ,
|  | N_("Other") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_Freetype | ,
|  | "0.2" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_Freetype | ,
|  | "$Id$" |  |
| ) |  |  |